Skip to main content
GET
/
api
/
v1
/
public
/
citations
/
sentiment-summary
Get Sentiment Summary
curl --request GET \
  --url https://api.tryhikoo.com/api/v1/public/citations/sentiment-summary \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "display_name": "<string>",
      "brand_name_normalized": "<string>",
      "brand_kind": "<string>",
      "citation_count": 123,
      "mention_count": 123,
      "positive_count": 123,
      "negative_count": 123,
      "neutral_count": 123,
      "resolved_competitor_id": 123
    }
  ],
  "total_brands": 123
}

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard (Settings > API keys).

Headers

authorization
string | null

Bearer <api_key>

X-MCP-Secret
string | null

Query Parameters

time_range
enum<string> | null
Available options:
all_time,
1y,
1m,
1w,
1d
platforms[]
enum<string>[] | null
Available options:
ChatGPT,
Gemini,
AI Overviews,
Google AI Mode,
Perplexity,
Mistral,
Claude,
DeepSeek,
Grok,
Copilot
localizations[]
string[] | null
topic_ids[]
integer[] | null
website_id
integer
required

Target website id

Response

Successful Response

items
SentimentBrandSummary · object[]
required
total_brands
integer
required